Index: vendor/google/apiclient-services/src/Indexing/PublishUrlNotificationResponse.php
===================================================================
--- vendor/google/apiclient-services/src/Indexing/PublishUrlNotificationResponse.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
+++ vendor/google/apiclient-services/src/Indexing/PublishUrlNotificationResponse.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
@@ -0,0 +1,42 @@
+<?php
+/*
+ * Copyright 2014 Google Inc.
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License"); you may not
+ * use this file except in compliance with the License. You may obtain a copy of
+ * the License at
+ *
+ * http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
+ * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
+ * License for the specific language governing permissions and limitations under
+ * the License.
+ */
+
+namespace Google\Service\Indexing;
+
+class PublishUrlNotificationResponse extends \Google\Model
+{
+  protected $urlNotificationMetadataType = UrlNotificationMetadata::class;
+  protected $urlNotificationMetadataDataType = '';
+
+  /**
+   * @param UrlNotificationMetadata
+   */
+  public function setUrlNotificationMetadata(UrlNotificationMetadata $urlNotificationMetadata)
+  {
+    $this->urlNotificationMetadata = $urlNotificationMetadata;
+  }
+  /**
+   * @return UrlNotificationMetadata
+   */
+  public function getUrlNotificationMetadata()
+  {
+    return $this->urlNotificationMetadata;
+  }
+}
+
+// Adding a class alias for backwards compatibility with the previous class name.
+class_alias(PublishUrlNotificationResponse::class, 'Google_Service_Indexing_PublishUrlNotificationResponse');
Index: vendor/google/apiclient-services/src/Indexing/Resource/UrlNotifications.php
===================================================================
--- vendor/google/apiclient-services/src/Indexing/Resource/UrlNotifications.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
+++ vendor/google/apiclient-services/src/Indexing/Resource/UrlNotifications.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
@@ -0,0 +1,69 @@
+<?php
+/*
+ * Copyright 2014 Google Inc.
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License"); you may not
+ * use this file except in compliance with the License. You may obtain a copy of
+ * the License at
+ *
+ * http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
+ * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
+ * License for the specific language governing permissions and limitations under
+ * the License.
+ */
+
+namespace Google\Service\Indexing\Resource;
+
+use Google\Service\Indexing\PublishUrlNotificationResponse;
+use Google\Service\Indexing\UrlNotification;
+use Google\Service\Indexing\UrlNotificationMetadata;
+
+/**
+ * The "urlNotifications" collection of methods.
+ * Typical usage is:
+ *  <code>
+ *   $indexingService = new Google\Service\Indexing(...);
+ *   $urlNotifications = $indexingService->urlNotifications;
+ *  </code>
+ */
+class UrlNotifications extends \Google\Service\Resource
+{
+  /**
+   * Gets metadata about a Web Document. This method can _only_ be used to query
+   * URLs that were previously seen in successful Indexing API notifications.
+   * Includes the latest `UrlNotification` received via this API.
+   * (urlNotifications.getMetadata)
+   *
+   * @param array $optParams Optional parameters.
+   *
+   * @opt_param string url URL that is being queried.
+   * @return UrlNotificationMetadata
+   * @throws \Google\Service\Exception
+   */
+  public function getMetadata($optParams = [])
+  {
+    $params = [];
+    $params = array_merge($params, $optParams);
+    return $this->call('getMetadata', [$params], UrlNotificationMetadata::class);
+  }
+  /**
+   * Notifies that a URL has been updated or deleted. (urlNotifications.publish)
+   *
+   * @param UrlNotification $postBody
+   * @param array $optParams Optional parameters.
+   * @return PublishUrlNotificationResponse
+   * @throws \Google\Service\Exception
+   */
+  public function publish(UrlNotification $postBody, $optParams = [])
+  {
+    $params = ['postBody' => $postBody];
+    $params = array_merge($params, $optParams);
+    return $this->call('publish', [$params], PublishUrlNotificationResponse::class);
+  }
+}
+
+// Adding a class alias for backwards compatibility with the previous class name.
+class_alias(UrlNotifications::class, 'Google_Service_Indexing_Resource_UrlNotifications');
Index: vendor/google/apiclient-services/src/Indexing/UrlNotification.php
===================================================================
--- vendor/google/apiclient-services/src/Indexing/UrlNotification.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
+++ vendor/google/apiclient-services/src/Indexing/UrlNotification.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
@@ -0,0 +1,80 @@
+<?php
+/*
+ * Copyright 2014 Google Inc.
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License"); you may not
+ * use this file except in compliance with the License. You may obtain a copy of
+ * the License at
+ *
+ * http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
+ * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
+ * License for the specific language governing permissions and limitations under
+ * the License.
+ */
+
+namespace Google\Service\Indexing;
+
+class UrlNotification extends \Google\Model
+{
+  /**
+   * @var string
+   */
+  public $notifyTime;
+  /**
+   * @var string
+   */
+  public $type;
+  /**
+   * @var string
+   */
+  public $url;
+
+  /**
+   * @param string
+   */
+  public function setNotifyTime($notifyTime)
+  {
+    $this->notifyTime = $notifyTime;
+  }
+  /**
+   * @return string
+   */
+  public function getNotifyTime()
+  {
+    return $this->notifyTime;
+  }
+  /**
+   * @param string
+   */
+  public function setType($type)
+  {
+    $this->type = $type;
+  }
+  /**
+   * @return string
+   */
+  public function getType()
+  {
+    return $this->type;
+  }
+  /**
+   * @param string
+   */
+  public function setUrl($url)
+  {
+    $this->url = $url;
+  }
+  /**
+   * @return string
+   */
+  public function getUrl()
+  {
+    return $this->url;
+  }
+}
+
+// Adding a class alias for backwards compatibility with the previous class name.
+class_alias(UrlNotification::class, 'Google_Service_Indexing_UrlNotification');
Index: vendor/google/apiclient-services/src/Indexing/UrlNotificationMetadata.php
===================================================================
--- vendor/google/apiclient-services/src/Indexing/UrlNotificationMetadata.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
+++ vendor/google/apiclient-services/src/Indexing/UrlNotificationMetadata.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
@@ -0,0 +1,76 @@
+<?php
+/*
+ * Copyright 2014 Google Inc.
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License"); you may not
+ * use this file except in compliance with the License. You may obtain a copy of
+ * the License at
+ *
+ * http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
+ * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
+ * License for the specific language governing permissions and limitations under
+ * the License.
+ */
+
+namespace Google\Service\Indexing;
+
+class UrlNotificationMetadata extends \Google\Model
+{
+  protected $latestRemoveType = UrlNotification::class;
+  protected $latestRemoveDataType = '';
+  protected $latestUpdateType = UrlNotification::class;
+  protected $latestUpdateDataType = '';
+  /**
+   * @var string
+   */
+  public $url;
+
+  /**
+   * @param UrlNotification
+   */
+  public function setLatestRemove(UrlNotification $latestRemove)
+  {
+    $this->latestRemove = $latestRemove;
+  }
+  /**
+   * @return UrlNotification
+   */
+  public function getLatestRemove()
+  {
+    return $this->latestRemove;
+  }
+  /**
+   * @param UrlNotification
+   */
+  public function setLatestUpdate(UrlNotification $latestUpdate)
+  {
+    $this->latestUpdate = $latestUpdate;
+  }
+  /**
+   * @return UrlNotification
+   */
+  public function getLatestUpdate()
+  {
+    return $this->latestUpdate;
+  }
+  /**
+   * @param string
+   */
+  public function setUrl($url)
+  {
+    $this->url = $url;
+  }
+  /**
+   * @return string
+   */
+  public function getUrl()
+  {
+    return $this->url;
+  }
+}
+
+// Adding a class alias for backwards compatibility with the previous class name.
+class_alias(UrlNotificationMetadata::class, 'Google_Service_Indexing_UrlNotificationMetadata');
